Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::DataTypeSerializer Struct Reference

`#include <Reflect.h>`

Inheritance diagram for tlp::DataTypeSerializer:
[legend]

List of all members.

## Public Member Functions

- DataTypeSerializer (const std::string &otn)
- virtual ~DataTypeSerializer ()
- virtual DataTypeSerializer * clone () const =0
- virtual void writeData (std::ostream &os, const DataType *data)=0
- virtual DataType * readData (std::istream &is)=0

## Public Attributes

- std::string outputTypeName

## Constructor & Destructor Documentation

tlp::DataTypeSerializer::DataTypeSerializer | ( | const std::string & | otn | ) | `[inline]`

virtual tlp::DataTypeSerializer::~DataTypeSerializer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual DataTypeSerializer* tlp::DataTypeSerializer::clone | ( |  | ) | const`[pure virtual]`

virtual DataType* tlp::DataTypeSerializer::readData | ( | std::istream & | is | ) | `[pure virtual]`

Implemented in tlp::TypedDataSerializer< T >.

virtual void tlp::DataTypeSerializer::writeData | ( | std::ostream & | os,
|  | const DataType * | data
| ) |  | `[pure virtual]`

Implemented in tlp::TypedDataSerializer< T >.

## Member Data Documentation

std::string tlp::DataTypeSerializer::outputTypeName

Tulip Software by LaBRI Visualization Team 2001 - 2012